org.apache.felix.ipojo.manipulation

## Class ClassChecker.SimpleAttribute

- java.lang.Object
- - org.apache.felix.ipojo.manipulation.ClassChecker.SimpleAttribute

Enclosing class:
  ClassChecker

    public static final class ClassChecker.SimpleAttribute
    extends Object

Describes a simple attribute. This class is able to visit an annotation simple attribute, and to recreate this attribute on another annotation.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visit(org.objectweb.asm.AnnotationVisitor visitor)` Recreates the attribute on the given annotation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### visit

    public void visit(org.objectweb.asm.AnnotationVisitor visitor)

Recreates the attribute on the given annotation.

Parameters:
  `visitor` - the visitor on which the attribute needs to be injected.